﻿using System;
using System.Diagnostics;
using Styx.Plugins;
using Styx.WoWInternals;
using Styx.Common;

namespace BringToFront
{
    public partial class BringToFront : HBPlugin
    {
        //Normal Stuff.
        public override string Name { get { return "BringToFront"; } }
        public override string Author { get { return "Bambam922"; } }
        public override Version Version { get { return new Version(1, 0); } }
        public override bool WantButton { get { return false; } }
        public override string ButtonText { get { return "BringToFront"; } }

        [System.Runtime.InteropServices.DllImport("user32.dll")]
        private static extern bool SetForegroundWindow(IntPtr hWnd);

        public override void Pulse()
        {
            throw new NotImplementedException();
        }

        public override void Initialize()
        {
            Lua.Events.AttachEvent("LFG_PROPOSAL_SHOW", FocusWindow);
        }

        public static void FocusWindow(object sender, LuaEventArgs args)
        {

            Process[] procs = Process.GetProcessesByName("Wow");
            Logging.Write("Popped {0} To Foreground ", procs[0].MainWindowTitle.ToString());
            if (procs.Length > 0)
            {
                // Which one?  I'll just pick the first
                if (procs[0].MainWindowHandle != IntPtr.Zero)
                    SetForegroundWindow(procs[0].MainWindowHandle);
                   
            }

            
        }

    }
}

